# Proyectos de Ejemplo

<p class="description">¿Estás buscando un proyecto de ejemplo para empezar?</p>

Contamos con algunos proyectos de ejemplo que puedes encontrar en el [repositorio de GitHub](https://github.com/mui-org/material-ui) bajo el directorio llamado [`/examples`](https://github.com/mui-org/material-ui/tree/master/examples):

- [Create React App](https://github.com/mui-org/material-ui/tree/master/examples/create-react-app)
- [Gatsby](https://github.com/mui-org/material-ui/tree/master/examples/gatsby)
- [Next.js](https://github.com/mui-org/material-ui/tree/master/examples/nextjs)
- [Parcel](https://github.com/mui-org/material-ui/tree/master/examples/parcel)
- [CDN](https://github.com/mui-org/material-ui/tree/master/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/master/examples/ssr)
- E mais

Create React App es un excelente proyecto para aprender React. Echa un vistazo a [las alternativas disponibles](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives) para ver qué proyecto se adapta mejor a tus necesidades.

El código fuente de esta documentación también está incluido en el repositorio. Es un proyecto ligeramente más complejo. Echa un vistazo en la carpeta [`/docs`](https://github.com/mui-org/material-ui/tree/master/docs) para las instrucciones de compilación.

## Proyectos de ejemplo más avanzados

¿Buscas un proyecto de ejemplo más avanzado?

If you want to start with a more complete and real world example, you could take a look at our [free templates](/getting-started/templates/) or [premium themes & templates](https://themes.material-ui.com/) or:

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted), which includes:
    
  - Creado con [Create React App](https://facebook.github.io/create-react-app/)
  - Custom Create React App script to start a new project with just a single CLI command
  - Build for Firebase including Authentication using the official Firebase Web Auth UI
  - Routing with React Router including error handling (404) and lazy loading
  - All PWA features included (SW, Notifications, deffered installation prompt and more)
  - Optimized and scalable performance (all ~100 points on Lighthouse)
- [React + Material-UI + Firebase](https://github.com/Phoqe/react-material-ui-firebase):
    
  - Bootstrapped with Create React App, the same tooling works out of the box
  - Built on top of Firebase with authentication working from the start
  - Robust routing with React Router including error handling (404)
  - Extensive mobile support with [react-swipeable-views](https://react-swipeable-views.com) for tabs
- [Material Sense](https://github.com/alexanmtz/material-sense), which includes:
    
  - Graph using recharts
  - React Router incluido con un ejemplo de navegación
  - Un contenedor de docker con servidor Nginx para compilado de producción
  - Creado con [Create React App](https://facebook.github.io/create-react-app/)