# Exemples de Projets

<p class="description">Vous cherchez un exemple de projet pour commencer ?</p>

Nous hébergeons quelques exemples de projets que vous pouvez trouver dans le référentiel [GitHub.](https://github.com/mui-org/material-ui) sous les [`/exemples`](https://github.com/mui-org/material-ui/tree/master/examples) dossier:

- [Create React App](https://github.com/mui-org/material-ui/tree/master/examples/create-react-app)
- [Gatsby](https://github.com/mui-org/material-ui/tree/master/examples/gatsby)
- [Next.js](https://github.com/mui-org/material-ui/tree/master/examples/nextjs)
- [Parcel](https://github.com/mui-org/material-ui/tree/master/examples/parcel)
- [CDN](https://github.com/mui-org/material-ui/tree/master/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/master/examples/ssr)
- Et plus encore

Create React App est un projet génial pour apprendre React. Regardez [les alternatives disponibles](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives) pour voir quel projet correspond le mieux à vos besoins.

Le code source de ce site de documentation est également disponible sur GitHub. C'est un projet légèrement plus complexe. Découvrez le [`/docs`](https://github.com/mui-org/material-ui/tree/master/docs) dossier pour instructions de construction.

## Exemples de projets plus avancés

Vous recherchez un exemple de projet plus avancé ?

If you want to start with a more complete and real world example, you could take a look at our [free templates](/getting-started/templates/) or [premium themes & templates](https://themes.material-ui.com/) or:

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted), which includes:
    
  - Created with [Create React App](https://facebook.github.io/create-react-app/)
  - Custom Create React App script to start a new project with just a single CLI command
  - Build for Firebase including Authentication using the official Firebase Web Auth UI
  - Routing with React Router including error handling (404) and lazy loading
  - All PWA features included (SW, Notifications, deffered installation prompt and more)
  - Optimized and scalable performance (all ~100 points on Lighthouse)
- [React + Material-UI + Firebase](https://github.com/Phoqe/react-material-ui-firebase):
    
  - Bootstrapped with Create React App, the same tooling works out of the box
  - Built on top of Firebase with authentication working from the start
  - Robust routing with React Router including error handling (404)
  - Extensive mobile support with [react-swipeable-views](https://react-swipeable-views.com) for tabs
- [Material Sense](https://github.com/alexanmtz/material-sense), which includes:
    
  - Graph using recharts
  - React Router included with a navigation example
  - A docker container with an Nginx server for production build
  - Created with [Create React App](https://facebook.github.io/create-react-app/)