# Projetos de exemplo

<p class="description">Você está procurando um projeto de exemplo para começar?</p>

Nós hospedamos alguns projetos de exemplo que você pode encontrar no repositório [GitHub](https://github.com/mui-org/material-ui) sob a pasta [`/exemplos`](https://github.com/mui-org/material-ui/tree/master/examples):

- [Create React App](https://github.com/mui-org/material-ui/tree/master/examples/create-react-app)
- [Gatsby](https://github.com/mui-org/material-ui/tree/master/examples/gatsby)
- [Next.js](https://github.com/mui-org/material-ui/tree/master/examples/nextjs)
- [Parcel](https://github.com/mui-org/material-ui/tree/master/examples/parcel)
- [CDN](https://github.com/mui-org/material-ui/tree/master/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/master/examples/ssr)
- E mais

Create React App é um projeto incrível para aprender React. Dê uma olhada nas [alternativas disponíveis](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives) para ver qual projeto melhor atende às suas necessidades.

O código-fonte deste site de documentação também está incluído no repositório. Este é um projeto um pouco mais complexo. Confira a pasta [`/docs`](https://github.com/mui-org/material-ui/tree/master/docs) para instruções de compilação.

## Projetos de exemplo mais avançados

Procurando por um projeto de exemplo mais avançado?

If you want to start with a more complete and real world example, you could take a look at our [free templates](/getting-started/templates/) or [premium themes & templates](https://themes.material-ui.com/) or:

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted), which includes:
    
  - Criado com o [Create React App](https://facebook.github.io/create-react-app/)
  - Custom Create React App script to start a new project with just a single CLI command
  - Build for Firebase including Authentication using the official Firebase Web Auth UI
  - Routing with React Router including error handling (404) and lazy loading
  - All PWA features included (SW, Notifications, deffered installation prompt and more)
  - Optimized and scalable performance (all ~100 points on Lighthouse)
- [React + Material-UI + Firebase](https://github.com/Phoqe/react-material-ui-firebase):
    
  - Bootstrapped com Create React App, porém, também funcionará em seus boilerplates
  - Criado sobre o Firebase com autenticação funcionando desde o início
  - Encaminhamento robusto com o React Router, incluindo tratamento de erros (404)
  - Suporte mobile extensível com [react-swipeable-views](https://react-swipeable-views.com) para as guias
- [Material Sense](https://github.com/alexanmtz/material-sense), que inclui:
    
  - Gráfico usando recharts
  - React Router incluído com um exemplo de navegação
  - Um contêiner docker com um servidor Nginx para compilação de produção
  - Criado com o [Create React App](https://facebook.github.io/create-react-app/)