# 范例项目

<p class="description">您是否正在寻找一个范例项目来开始？</p>

您可以在[GitHub存储库中](https://github.com/mui-org/material-ui)的[`/examples`](https://github.com/mui-org/material-ui/tree/master/examples)的文件夹下面，找到一些我们托管一些范例项目：

- [Create React App](https://github.com/mui-org/material-ui/tree/master/examples/create-react-app)
- [Gatsby](https://github.com/mui-org/material-ui/tree/master/examples/gatsby)
- [Next.js](https://github.com/mui-org/material-ui/tree/master/examples/nextjs)
- [Parcel](https://github.com/mui-org/material-ui/tree/master/examples/parcel)
- [CDN](https://github.com/mui-org/material-ui/tree/master/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/master/examples/ssr)
- 以及更多

Create React App 是一个很棒的学习 React 的项目。 请看一下这些[可用的替代方案](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives) ，看看哪个项目最符合您的需求。

此文档站点的源代码也包含在存储库中。 这是一个稍微复杂一点的项目。 请查看 [`/ docs`](https://github.com/mui-org/material-ui/tree/master/docs) 文件夹以获取创建项目的说明。

## 更高级的范例项目

你在寻找更高级的示范例项目吗？

If you want to start with a more complete and real world example, you could take a look at our [free templates](/getting-started/templates/) or [premium themes & templates](https://themes.material-ui.com/) or:

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted), which includes:
    
  - 使用 [Create React App](https://facebook.github.io/create-react-app/) 创建
  - Custom Create React App script to start a new project with just a single CLI command
  - Build for Firebase including Authentication using the official Firebase Web Auth UI
  - Routing with React Router including error handling (404) and lazy loading
  - All PWA features included (SW, Notifications, deffered installation prompt and more)
  - Optimized and scalable performance (all ~100 points on Lighthouse)
- [React + Material-UI + Firebase](https://github.com/Phoqe/react-material-ui-firebase)
    
  - 使用Create React App创建，开箱即用
  - 以Firebase为基准构建，内置身份验证模块
  - Robust routing with React Router including error handling (404)
  - Extensive mobile support with [react-swipeable-views](https://react-swipeable-views.com) for tabs
- [Material Sense](https://github.com/alexanmtz/material-sense), which includes:
    
  - 使用 recharts 的图表
  - 在导航示例中涵盖了 React Router
  - 一个具有用于生产环境创造的 Nginx 服务器的 Docker container(Docker 容器)。
  - 使用 [Create React App](https://facebook.github.io/create-react-app/) 创建