# Apprendre Materiel-UI

<p class="description">Nouveau sur Material-UI ? C'est facile à apprendre si vous savez par où commencer ! Ce guide vous aidera à démarrer rapidement.</p>

Les utilisateurs de Material-UI viennent d'horizons et de styles d'apprentissage différents. Que vous préfériez une approche plus théorique ou pratique, nous espérons que cette section vous sera utile. Comme toute technologie inconnue, Material-UI a une courbe d'apprentissage. Avec de la pratique et un peu de patience, vous comprendrez vite.

## Premier exemple

La page [d'utilisation](/getting-started/usage/#quick-start) contient un petit exemple Material-UI avec un éditeur en ligne. Même si vous ne connaissez pas encore Material-UI, essayez de changer le code et voyez comment cela affecte le résultat.

## Exemples de Projets

Nous [hébergeons des exemples de projets](/getting-started/example-projects/) fournissant l'infrastructure nécessaire au développement et au déploiement de sites Web avec React.

## Templates

We have a [selection of basic templates](/getting-started/templates/) to help you get started building your app.

## Ressources recommandées

Lors de la première utilisation de Material-UI, vous trouverez peut-être que les articles de blogs, livres et cours vidéo tiers sont plus utiles que la documentation officielle. Nous maintenons une liste de ressources de bonnes qualités, dont certaines sont gratuites.

### Gratuit

- **Meet Material-UI — your new favorite user interface library**: a blog post that guides you in building a Todo MVC while covering some important concepts of Material-UI. 
  - 📝 [The blog post](https://medium.freecodecamp.org/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c)
- **Learn React & Material-UI**: a series of videos covering all the important Material-UI components. 
  - 📹 [The videos](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Getting Started With Material-UI For React**: a blog post that guides you in building a simple card list. 
  - 📝 [The blog post](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [The video](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Elegant UX in React with Material-UI**: a blog post covering some important Material-UI concepts. 
  - 📝 [The blog post](https://alligator.io/react/material-ui/)

### Payant

- **Material-UI with React**: Material-UI is an excellent framework to develop beautiful React components faster! This course teaches the fundamentals of Google Material Design and how to develop an end-to-end flight search and booking application using Material-UI and React.
  
  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react)
- **React Material-UI Cookbook**: Build modern day application by implementing Material Design principles in React applications using Material-UI.
  
  - 📘 [The book](https://www.amazon.com/gp/product/1789615224/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=1789615224&linkCode=as2&tag=oliviertassin-20&linkId=79aec1cb9db829135838614ac1953380)

[![cookbook](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=1789615224&linkCode=as2&tag=oliviertassin-20&linkId=79aec1cb9db829135838614ac1953380)

- **Builder Book**: Learn how to build a full-stack JavaScript web application from scratch, using a Modern JavaScript stack and Material-UI. 
  - 📘 [The book](https://builderbook.org/book)